aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@me.com>2014-07-28 16:35:10 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-07-31 06:11:22 +0000
commit965724feb20156637954cc8e0f9613d886d1a2be (patch)
tree13c41d507540b819ee82f176f352ff438593a7dd
parentd0bff224e824d649bb6ed7611038ad72f964c49d (diff)
downloadaports-965724feb20156637954cc8e0f9613d886d1a2be.tar.gz
aports-965724feb20156637954cc8e0f9613d886d1a2be.tar.bz2
aports-965724feb20156637954cc8e0f9613d886d1a2be.tar.xz
testing/taskd: new aport
Taskserver synchronises taskwarrior across multiple clients http://taskwarrior.org
-rw-r--r--testing/taskd/APKBUILD50
-rw-r--r--testing/taskd/Directory.cpp.patch10
-rw-r--r--testing/taskd/Path.cpp.patch18
3 files changed, 78 insertions, 0 deletions
diff --git a/testing/taskd/APKBUILD b/testing/taskd/APKBUILD
new file mode 100644
index 0000000000..2658a670f2
--- /dev/null
+++ b/testing/taskd/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=taskd
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Taskserver synchronises taskwarrior across multiple clients"
+url="http://taskwarrior.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="gnutls-dev util-linux-dev"
+makedepends="$depends_dev cmake"
+install=""
+subpackages="$pkgname-doc"
+source="http://taskwarrior.org/download/${pkgname}-${pkgver}.tar.gz
+ Path.cpp.patch
+ Directory.cpp.patch"
+
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ cmake . -DCMAKE_INSTALL_PREFIX=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="1cead23539e36d5623cb3ca1225072c0 taskd-1.0.0.tar.gz
+0e91d6e98a85f9ed42956c3220eca9f0 Path.cpp.patch
+230518443e477b8181f3eb896355d5dc Directory.cpp.patch"
+sha256sums="162ef1eec48f8145870ef0dbe0121b78a6da99815bc18af77de07fbb0abe02d0 taskd-1.0.0.tar.gz
+75449122cf7c3e0a4d1061534ca80442b73b766790a31ec4535094556e6b8212 Path.cpp.patch
+90cffb295f47c2a613680e53432b4c72a58ed19c218a5e7744acb076e96ab003 Directory.cpp.patch"
+sha512sums="e60a07fc0ae9fbebb9e05a7f0c21df9cf3ea39ce01570168c51e60b2ccb9cf59ab85fd35821e1298048ee669bfc40560e010c06ba85d794272b897897e6d956b taskd-1.0.0.tar.gz
+51f9a384c3c76c2719f8dbc378fad0717b02e508dcf3d08fcabf2ebed002501bb7760723d49ee210f15ac65b077c35ea765c22ea8793ead04141bc6f6b2c8b3a Path.cpp.patch
+fa3c8bec063119e7a8321a1be26e3c16ae1d1cbb34aa06becc29830f1e78180514a68981d9fd4c34b63755ab9afa2c5a295efeeea6dbce263bdf9c010d7c28aa Directory.cpp.patch"
diff --git a/testing/taskd/Directory.cpp.patch b/testing/taskd/Directory.cpp.patch
new file mode 100644
index 0000000000..4c53a08bff
--- /dev/null
+++ b/testing/taskd/Directory.cpp.patch
@@ -0,0 +1,10 @@
+--- taskd-1.0.0/src/Directory.cpp
++++ taskd-1.0.0/src/Directory.cpp.changed
+@@ -34,6 +34,7 @@
+ #include <errno.h>
+ #include <stdlib.h>
+ #include <Directory.h>
++#include <limits.h>
+
+ #ifdef SOLARIS
+ #include <limits.h>
diff --git a/testing/taskd/Path.cpp.patch b/testing/taskd/Path.cpp.patch
new file mode 100644
index 0000000000..018a2029ee
--- /dev/null
+++ b/testing/taskd/Path.cpp.patch
@@ -0,0 +1,18 @@
+--- taskd-1.0.0/src/Path.cpp
++++ taskd-1.0.0/src/Path.cpp.changed
+@@ -37,6 +37,15 @@
+ #include <Directory.h>
+ #include <Path.h>
+
++/* fixes build with musl libc */
++#ifndef GLOB_TILDE
++#define GLOB_TILDE 0
++#endif
++
++#ifndef GLOB_BRACE
++#define GLOB_BRACE 0
++#endif
++
+ ////////////////////////////////////////////////////////////////////////////////
+ std::ostream& operator<< (std::ostream& out, const Path& path)
+ {